TikTok

Get TikTok Creator Info

Returns the privacy options and publishing limits for a TikTok account. Works only on TikTok connections.

GET
/v1/connections/{id}/tiktok/creator-info

Authorization

headerx-api-key<token>

Workspace API key, sent in the x-api-key header. Keys start with op_ and are created in the dashboard.

Path Parameters

id*string
Length1 <= length

Response Body

Creator info

application/json
  1. response
accountId*string
platform*"tiktok"
Value in"tiktok"
creatorInfo*
fetchedAt*string
Formatdate-time
Example Request
import { Configuration, ConnectionsApi } from "@onepostly/sdk";const connectionsApi = new ConnectionsApi(  new Configuration({ apiKey: process.env.ONEPOSTLY_API_KEY }));const response = await connectionsApi.getTikTokCreatorInfo({  id: "a1b2c3d4-e5f6-4a7b-8c9d-e0f1a2b3c4d5",});console.log(response);
Example Response
{  "accountId": "a1b2c3d4-e5f6-4a7b-8c9d-e0f1a2b3c4d5",  "platform": "tiktok",  "creatorInfo": {    "creatorAvatarUrl": "https://cdn.onepostly.com/avatars/onepostly.jpg",    "creatorUsername": "onepostly",    "creatorNickname": "Onepostly",    "privacyLevelOptions": [      "PUBLIC_TO_EVERYONE"    ],    "commentDisabled": false,    "duetDisabled": false,    "stitchDisabled": false,    "maxVideoPostDurationSec": 600  },  "fetchedAt": "2026-08-25T10:00:00.000Z"}